Bug 215284 - agpgart: unable to get memory for graphics translation table.
Summary: agpgart: unable to get memory for graphics translation table.
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-13 09:27 UTC by Stephanie Erin Daugherty
Modified: 2009-12-14 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:42:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephanie Erin Daugherty 2006-11-13 09:27:05 UTC
Description of problem:
agpgart fails to initialize with error.

Nov 12 19:24:21 marian kernel: Linux agpgart interface v0.101 (c) Dave Jones
Nov 12 19:24:21 marian kernel: agpgart: Detected AGP bridge 0
Nov 12 19:24:21 marian kernel: agpgart: Setting up Nforce3 AGP.
Nov 12 19:24:21 marian kernel: agpgart: unable to get memory for graphics
translation table.
Nov 12 19:24:22 marian kernel: agpgart: agp_backend_initialize() failed.
Nov 12 19:24:22 marian kernel: agpgart-amd64: probe of 0000:00:00.0 failed with
error -12


Version-Release number of selected component (if applicable):

kernel-xen-2.6.18-1.2849.fc6
kernel-xen-2.6.18-1.2798.fc6


How reproducible:


Steps to Reproduce:
1. Boot system.
2. dmesg | grep agpgart
3.
  
Actual results:
Nov 12 19:24:21 marian kernel: Linux agpgart interface v0.101 (c) Dave Jones
Nov 12 19:24:21 marian kernel: agpgart: Detected AGP bridge 0
Nov 12 19:24:21 marian kernel: agpgart: Setting up Nforce3 AGP.
Nov 12 19:24:21 marian kernel: agpgart: unable to get memory for graphics
translation table.
Nov 12 19:24:22 marian kernel: agpgart: agp_backend_initialize() failed.
Nov 12 19:24:22 marian kernel: agpgart-amd64: probe of 0000:00:00.0 failed with
error -12

Expected results:
Nov 13 04:16:28 marian kernel: agpgart: Detected AGP bridge 0
Nov 13 04:16:28 marian kernel: agpgart: Setting up Nforce3 AGP.
Nov 13 04:16:28 marian kernel: agpgart: AGP aperture is 128M @ 0xe0000000
Nov 13 04:16:29 marian kernel: Linux agpgart interface v0.101 (c) Dave Jones
Nov 13 04:16:54 marian kernel: agpgart: Found an AGP 2.0 compliant device at
0000:00:00.0.


Additional info:
Worked as expected with latest non-Xen kernel (kernel-2.6.18-1.2849.fc6)

Comment 2 Red Hat Bugzilla 2007-07-25 01:35:59 UTC
change QA contact

Comment 4 Chris Lalancette 2008-02-26 23:42:05 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.